/v1/workspaces/{workspace_id}/jobsAuthList trawl jobs (paginated, newest first)
The workspace's jobs, newest first, optionally filtered by `status`. Pass the previous page's `next_cursor` as `cursor` until `has_more` is false.
Path parameters
workspace_id*string · uuidId of the workspace.
Query parameters
statusenum (5)Filter by job status.
cursorstringOpaque cursor for pagination: the `next_cursor` of the previous page.
limitintegerPage size.
Response · 200 Page of jobs with pagination cursor.
data*arrayThe jobs, newest first.
pagination*objectThe cursor for the next page.
Example
Request
GET https://api.trawl.productcraft.co/v1/workspaces/{workspace_id}/jobs
Authorization: Bearer YOUR_TOKENimport { Trawl } from "@productcraft/trawl";
// Reads PRODUCTCRAFT_API_KEY from the environment
const trawl = new Trawl();
for await (const job of trawl.jobs.list()) {
console.log(job);
}
const page = await trawl.jobs.list({}, { timeout: 5_000 });trawl.jobs.list(params?, options?): PagePromise<Trawl.Job>
Response
{
"data": [
{
"id": "00000000-0000-0000-0000-000000000000",
"workspace_id": "00000000-0000-0000-0000-000000000000",
"status": {},
"json_schema": {},
"description": "string",
"suggested_urls": [
"string"
],
"max_steps": 0,
"timeout_s": 0,
"model_tier": "string",
"webhook_id": "00000000-0000-0000-0000-000000000000",
"result": {},
"error": "string",
"attempts": 0,
"enqueued_at": "2026-01-01T00:00:00.000Z",
"started_at": "2026-01-01T00:00:00.000Z",
"completed_at": "2026-01-01T00:00:00.000Z",
"created_at": "2026-01-01T00:00:00.000Z"
}
],
"pagination": {}
}